"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = I18nProvider;

var _react = _interopRequireDefault(require("react"));

var _reactRedux = require("react-redux");

var _reactIntl = require("react-intl");

require("@formatjs/intl-relativetimeformat/polyfill");

require("@formatjs/intl-relativetimeformat/dist/locale-data/tr");

var _tr2 = _interopRequireDefault(require("./messages/tr"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var allMessages = {
  tr: _tr2["default"]
};

function I18nProvider(_ref) {
  var children = _ref.children;
  var locale = (0, _reactRedux.useSelector)(function (_ref2) {
    var i18n = _ref2.i18n;
    return i18n.lang;
  });
  var messages = allMessages[locale];
  return /*#__PURE__*/_react["default"].createElement(_reactIntl.IntlProvider, {
    locale: locale,
    messages: messages
  }, children);
}